> ## Documentation Index
> Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Number

> Displays the specified number. The number must belong to the authenticated user's current workspace.



## OpenAPI

````yaml GET /api/v1/numbers/{id}
openapi: 3.0.3
info:
  title: Colloqui API Documentation
  description: API documentation for Colloqui application
  version: 1.0.0
servers:
  - url: https://colloqui-web-develop-btoadh.laravel.cloud
security:
  - default: []
tags:
  - name: Authentication
    description: |-

      APIs for retrieving a token and invalidating the current token.
  - name: API Keys
    description: |-

      APIs for managing API keys.
  - name: Agent
    description: |-

      APIs for agents
  - name: Agent Versions
    description: |-

      APIs for retrieving version history of an agent.
  - name: Call History
    description: |-

      APIs for managing call histories.
  - name: Knowledge Base
    description: |-

      APIs for knowledge base management.
  - name: Number
    description: |-

      APIs for managing numbers.
  - name: Subscription
    description: |-

      APIs to subscribe an agent to a subscription.
  - name: User
    description: |-

      APIs for managing users.
  - name: Webhook
    description: |-

      APIs for managing webhooks.
  - name: Workspace
    description: |-

      APIs for managing workspaces.
  - name: Workspace User
    description: |-

      APIs for managing users within workspaces.
paths:
  /api/v1/numbers/{id}:
    parameters:
      - in: path
        name: id
        description: The ID of the number.
        example: 01kfman05a06gdxcrpfmshn9ap
        required: true
        schema:
          type: string
    get:
      tags:
        - Number
      summary: Show Number
      description: >-
        Displays the specified number. The number must belong to the
        authenticated user's current workspace.
      operationId: showNumber
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 01kqh44f6act9dtqf73vaah1fn
                    number: 351757680
                    nickname: Support Line
                    inbound_agent_id: null
                    outbound_agent_id: null
                    livekit_trunk_id: SDR_qw0rs7i1t9cps
                    livekit_dispatch_id: ST_q66ldzs960nr6
                    workspace_id: 01kqh44f5xakkbv05rj6dm2m9s
                    created_at: '2026-05-01T06:38:05+00:00'
                    updated_at: '2026-05-01T06:38:05+00:00'
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: 01kqh44f6act9dtqf73vaah1fn
                      number:
                        type: string
                        example: '+15551234567'
                      nickname:
                        type: string
                        example: My Agent
                      inbound_agent_id:
                        type: string
                        example: null
                        nullable: true
                      outbound_agent_id:
                        type: string
                        example: null
                        nullable: true
                      livekit_trunk_id:
                        type: string
                        example: SDR_qw0rs7i1t9cps
                      livekit_dispatch_id:
                        type: string
                        example: ST_q66ldzs960nr6
                      workspace_id:
                        type: string
                        example: 01kqh44f5xakkbv05rj6dm2m9s
                      created_at:
                        type: string
                        example: '2026-05-01T06:38:05+00:00'
                      updated_at:
                        type: string
                        example: '2026-05-01T06:38:05+00:00'
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Bearer token authentication

````